<div class="card">
    <div class="card-header">
        <div class="row">
            <div class="col col-md-6">
                <h5 class="card-title">
                    {{ 'Categories' | abpLocalization }}
                </h5>
            </div>
            <div class="text-end col col-md-6">

                <div class="text-lg-end pt-2">
                    <button *abpPermission="'ExampAbp.Library.Create'" id="create" class="btn btn-primary" type="button"
                        (click)="createCategory()">
                        <i class="fa fa-plus me-1"></i>
                        <span>{{ "::New Category" | abpLocalization }}</span>
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div class="card-body">

        <ngx-datatable [rows]="category.items" [count]="category.totalCount" [list]="list" default>
            <ngx-datatable-column *ngIf="hasEditPermission || hasDeletePermission"
                [name]="'::Actions' | abpLocalization" [maxWidth]="150" [sortable]="false">
                <ng-template let-row="row" ngx-datatable-cell-template>
                    <div ngbDropdown container="body" class="d-inline-block">
                        <button class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown"
                            aria-haspopup="true" ngbDropdownToggle>
                            <i class="fa fa-cog me-1"></i>{{ '::Actions' | abpLocalization }}
                        </button>
                        <div ngbDropdownMenu>
                            <button *abpPermission="'ExampAbp.Library.Edit'" ngbDropdownItem
                                (click)="editCategory(row.id)">
                                {{ '::Edit' | abpLocalization }}
                            </button>
                            <button *abpPermission="'ExampAbp.Library.Delete'" ngbDropdownItem (click)="delete(row.id)">
                                {{ '::Delete' | abpLocalization }}
                            </button>
                        </div>
                    </div>
                </ng-template>
            </ngx-datatable-column>
            <ngx-datatable-column [name]="'::Name' | abpLocalization" prop="name"></ngx-datatable-column>

        </ngx-datatable>
    </div>
</div>
<abp-modal [(visible)]="isModalOpen">
    <ng-template #abpHeader>
        <h3>{{ (selectedCategory.id ? '::Edit' : '::NewBook' ) | abpLocalization }}</h3>
    </ng-template>

    <ng-template #abpBody>
        <form [formGroup]="formGroup" (ngSubmit)="save()">
            <div class="mt-2">
                <label for="category-name">Name</label><span> * </span>
                <input type="text" id="category-name" class="form-control" formControlName="name" autofocus />
            </div>
        </form>
    </ng-template>

    <ng-template #abpFooter>
        <button type="button" class="btn btn-secondary" abpClose>
            {{ '::Close' | abpLocalization }}
        </button>

        <button class="btn btn-primary" (click)="save()" [disabled]="formGroup.invalid">
            <i class="fa fa-check mr-2"></i>
            {{ '::Save' | abpLocalization }}
        </button>
    </ng-template>
</abp-modal>